Get an IPD admission by id
curl --request GET \
--url https://api.eka.care/ipd/v1/sdk/admissions/{admission_id} \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/ipd/v1/sdk/admissions/{admission_id}"
headers = {"auth": "<auth>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/ipd/v1/sdk/admissions/{admission_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"bid": "<string>",
"admission_date": "<string>",
"ipid": "<string>",
"attendee": {
"id": "<string>",
"name": "<string>",
"phone": {
"c": "<string>",
"n": "<string>"
},
"relation": {
"id": "<string>",
"label": "<string>"
}
},
"patient": {
"id": "<string>",
"uuid": "<string>",
"poid": "<string>",
"formData": [
{
"label": "<string>",
"type": "<string>",
"key": "<string>",
"value": "<string>"
}
],
"profile": {
"personal": {
"gender": "<string>",
"name": "<string>",
"phone": {
"c": "<string>",
"n": "<string>"
},
"age": {
"dob": "<string>",
"value": "<string>",
"month": "<string>"
}
}
}
},
"refer": {
"id": "<string>",
"name": "<string>"
},
"doc": {
"id": "<string>",
"name": "<string>"
},
"stage": "IN",
"status": "ADMISSION_RECOMMENDED",
"duration": {
"value": 123,
"unit": "<string>"
},
"bed": "<string>",
"rateplan": {
"id": "<string>",
"name": "<string>",
"inclusions": [
{
"id": "<string>",
"name": "<string>",
"rate": 123
}
]
},
"docid": "<string>",
"category": {
"id": "<string>",
"name": "<string>"
},
"date": "<string>",
"department": {
"id": "<string>",
"name": "<string>"
},
"pid": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"facility": {
"id": "<string>",
"name": "<string>"
},
"facilityid": "<string>",
"totalbilled": 123,
"totalpaid": 123,
"totalbilled_updated_at": "<string>",
"totalpaid_updated_at": "<string>",
"discharge_date": "<string>",
"procedures": [
{
"id": "<string>",
"name": "<string>",
"date": "<string>",
"notes": "<string>"
}
],
"notes": "<string>",
"medico_legal_case": true,
"custom_attributes": {},
"clearances_summary": {
"statuses": {},
"completed_count": 123,
"total": 123,
"all_complete": true
},
"archived": true,
"actor_oid": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Admissions
Get an IPD admission by id
Fetches an IPD admission of your workspace.
GET
/
ipd
/
v1
/
sdk
/
admissions
/
{admission_id}
Get an IPD admission by id
Headers
Path Parameters
Id of the IPD admission.
Minimum string length:
1Response
OK
ISO date-time.
Patient IPD case number.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Coarse lifecycle stage (IN/AD/DC) — replaced the legacy coarse status.
Available options:
IN status
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>Option 9 · enum<string>Option 10 · enum<string>Option 11 · enum<string>Option 12 · enum<string>Option 13 · enum<string>Option 14 · enum<string>Option 15 · enum<string>Option 16 · enum<string>Option 17 · enum<string>Option 18 · enum<string>Option 19 · enum<string>Option 20 · enum<string>
required
Granular lifecycle status within the current stage.
Available options:
ADMISSION_RECOMMENDED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

